MODULE LCIO4TPC
   PUBLIC :: OpenReadLCIO,CloseReadLCIO,ReadLCIOComment,ReadLCIOnTbin
   PUBLIC :: ReadLCIONextEvent
   PUBLIC :: OpenWriteLCIO,CloseWriteLCIO,WriteLCIOHeader,WriteLCIOEvent

   PRIVATE :: message

CONTAINS
   SUBROUTINE OpenReadLCIO(CHFILE,IOS)
      CHARACTER(LEN=*),INTENT(IN) :: CHFILE
      INTEGER,INTENT(OUT) :: IOS
      IOS=-99
      PRINT*,"Cant open ",CHFILE
      CALL message()
   END SUBROUTINE OpenReadLCIO
   SUBROUTINE CloseReadLCIO()   
      PRINT*,"You should never get here"
      CALL message()      
   END SUBROUTINE CloseReadLCIO

   SUBROUTINE ReadLCIOnTbin(nTbin)
      INTEGER,INTENT(OUT) :: nTbin
      nTbin = 0
      PRINT*,"You should never get here"
      CALL message()
   END SUBROUTINE ReadLCIOnTbin
   SUBROUTINE ReadLCIOComment(chComment,chDate)
      CHARACTER(LEN=*),INTENT(OUT) :: chComment,chDate 
      chComment = " "
      chDate = " "
      PRINT*,"You should never get here"
      CALL message()
   END SUBROUTINE ReadLCIOComment
   SUBROUTINE ReadLCIONextEvent(IERR)   
      INTEGER,INTENT(OUT) :: IERR
      IERR = -99
      PRINT*,"You should never get here"
      CALL message()
   END SUBROUTINE ReadLCIONextEvent
   
! -------------------------------------------------------------------
   
   SUBROUTINE OpenWriteLCIO() 
      CALL message()
   END SUBROUTINE OpenWriteLCIO
   SUBROUTINE CloseWriteLCIO() 
      PRINT*,"You should never get here"
      CALL message()
   END SUBROUTINE CloseWriteLCIO
   
   SUBROUTINE WriteLCIOHeader(chComment,chDate)
      CHARACTER(LEN=*),INTENT(IN) :: chComment,chDate  
      PRINT*,chComment
      PRINT*,chDate
      PRINT*,"You should never get here"
      CALL message()
   END SUBROUTINE WriteLCIOHeader
   SUBROUTINE WriteLCIOEvent(iflag)
      INTEGER, INTENT(IN) :: iflag
      PRINT*,"You should never get here",iflag
      CALL message()
   END SUBROUTINE WriteLCIOEvent

! -------------------------------------------------------------------
   
   SUBROUTINE message()
      PRINT*,"To read LCIO files link with file LCIO4TPC.F95 instead of LCIOdummy.F95 "
      STOP
   END SUBROUTINE message
END MODULE LCIO4TPC
